mixed-port: 7890
allow-lan: true
bind-address: '*'
mode: rule
log-level: info
external-controller: '127.0.0.1:9090'
dns:
    enable: true
    ipv6: false
    default-nameserver: [119.29.29.29, 223.5.5.5, 223.6.6.6]
    proxy-server-nameserver: ['https://dns.alidns.com/dns-query#h3=true', 'tls://dns.alidns.com', 'tls://223.5.5.5:853', 'tls://223.6.6.6:853']
    enhanced-mode: fake-ip
    fake-ip-range: 198.18.0.1/16
    fake-ip-filter: ['*.lan', localhost.ptlogin2.qq.com]
    use-hosts: true
    nameserver: [119.29.29.29, 223.5.5.5, 1.1.1.1, 8.8.4.4, 'https://dns.alidns.com/dns-query#h3=true', 'tls://dns.alidns.com', 'tls://223.5.5.5:853', 'tls://223.6.6.6:853', 'https://doh-pure.onedns.net/dns-query', 'https://ada.openbld.net/dns-query']
    fallback: [119.29.29.29, 223.5.5.5, 1.1.1.1, 8.8.4.4, 'https://dns.alidns.com/dns-query#h3=true', 'https://223.5.5.5/dns-query', 'https://223.6.6.6/dns-query', 'https://doh-pure.onedns.net/dns-query', 'https://ada.openbld.net/dns-query']
    fallback-filter: { geoip: true, ipcidr: [240.0.0.0/4, 0.0.0.0/32] }
proxies:
    - { name: 🇭🇰香港01⚡️IEPL, type: trojan, server: nodes-hk-01.cdnmd.com, port: 13150, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇭🇰香港02⚡️IEPL, type: trojan, server: nodes-hk-02.cdnmd.com, port: 37378, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇭🇰香港03⚡️IEPL, type: trojan, server: nodes-hk-03.cdnmd.com, port: 26226, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇭🇰香港04⚡️IEPL, type: trojan, server: nodes-hk-04.cdnmd.com, port: 12278, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇭🇰香港05⚡️IEPL, type: trojan, server: nodes-hk-05.cdnmd.com, port: 36220, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇭🇰香港06⚡️IEPL, type: trojan, server: nodes-hk-06.cdnmd.com, port: 19805, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇭🇰香港07⚡️IEPL, type: trojan, server: nodes-hk-07.cdnmd.com, port: 20289, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇭🇰香港08⚡️IEPL, type: trojan, server: nodes-hk-08.cdnmd.com, port: 11785, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本01⚡️IEPL, type: trojan, server: nodes-jp-01.cdnmd.com, port: 29615, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本02⚡️IEPL, type: trojan, server: nodes-jp-02.cdnmd.com, port: 19388, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本03⚡️IEPL, type: trojan, server: nodes-jp-03.cdnmd.com, port: 17008, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本04⚡️IEPL, type: trojan, server: nodes-jp-04.cdnmd.com, port: 32289, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本05⚡️IEPL, type: trojan, server: nodes-jp-05.cdnmd.com, port: 15011, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本06⚡️IEPL, type: trojan, server: nodes-jp-06.cdnmd.com, port: 28861, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本07⚡️IEPL, type: trojan, server: nodes-jp-07.cdnmd.com, port: 30963, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇯🇵日本08⚡️IEPL, type: trojan, server: nodes-jp-08.cdnmd.com, port: 22975, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城01⚡️IEPL, type: trojan, server: nodes-sg-01.cdnmd.com, port: 27251, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城02⚡️IEPL, type: trojan, server: nodes-sg-02.cdnmd.com, port: 36850, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城03⚡️IEPL, type: trojan, server: nodes-sg-03.cdnmd.com, port: 36952, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城04⚡️IEPL, type: trojan, server: nodes-sg-04.cdnmd.com, port: 37609, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城05⚡️IEPL, type: trojan, server: nodes-sg-05.cdnmd.com, port: 26631, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城06⚡️IEPL, type: trojan, server: nodes-sg-06.cdnmd.com, port: 30155, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城07⚡️IEPL, type: trojan, server: nodes-sg-07.cdnmd.com, port: 31867, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇸🇬狮城08⚡️IEPL, type: trojan, server: nodes-sg-08.cdnmd.com, port: 39229, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇹🇼台湾01⚡️IEPL, type: trojan, server: nodes-tw-01.cdnmd.com, port: 15269, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇹🇼台湾02⚡️IEPL, type: trojan, server: nodes-tw-02.cdnmd.com, port: 38887, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇹🇼台湾03⚡️IEPL, type: trojan, server: nodes-tw-03.cdnmd.com, port: 20626, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇹🇼台湾04⚡️IEPL, type: trojan, server: nodes-tw-04.cdnmd.com, port: 25632, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇰🇷韩国01⚡️IEPL, type: trojan, server: nodes-kr-01.cdnmd.com, port: 35077, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇰🇷韩国02⚡️IEPL, type: trojan, server: nodes-kr-02.cdnmd.com, port: 36739, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇰🇷韩国03⚡️IEPL, type: trojan, server: nodes-kr-01.cdnmd.com, port: 15687, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇰🇷韩国04⚡️IEPL, type: trojan, server: nodes-kr-04.cdnmd.com, port: 35368, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国01⚡️IEPL, type: trojan, server: nodes-us-01.cdnmd.com, port: 23139, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国02⚡️IEPL, type: trojan, server: nodes-us-02.cdnmd.com, port: 20136, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国03⚡️IEPL, type: trojan, server: nodes-us-03.cdnmd.com, port: 15777, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国04⚡️IEPL, type: trojan, server: nodes-us-04.cdnmd.com, port: 33312, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国05⚡️IEPL, type: trojan, server: nodes-us-05.cdnmd.com, port: 31565, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国06⚡️IEPL, type: trojan, server: nodes-us-06.cdnmd.com, port: 22770, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国07⚡️IEPL, type: trojan, server: nodes-us-07.cdnmd.com, port: 30510, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇺🇸美国08⚡️IEPL, type: trojan, server: nodes-us-08.cdnmd.com, port: 30169, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇮🇳印度01⚡️IEPL, type: trojan, server: nodes-in-01.cdnmd.com, port: 17620, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇮🇳印度02⚡️IEPL, type: trojan, server: nodes-in-02.cdnmd.com, port: 39550, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇬🇧英国01⚡️IEPL, type: trojan, server: nodes-gb-01.cdnmd.com, port: 27736, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇬🇧英国02⚡️IEPL, type: trojan, server: nodes-gb-02.cdnmd.com, port: 38362, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇩🇪德国01⚡️IEPL, type: trojan, server: nodes-de-01.cdnmd.com, port: 21298, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇩🇪德国02⚡️IEPL, type: trojan, server: nodes-de-02.cdnmd.com, port: 29023, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇫🇷法国01⚡️IEPL, type: trojan, server: nodes-fr-01.cdnmd.com, port: 23851, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇫🇷法国02⚡️IEPL, type: trojan, server: nodes-fr-02.cdnmd.com, port: 31725, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇳🇱荷兰01⚡️IEPL, type: trojan, server: nodes-nl-01.cdnmd.com, port: 37519, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇳🇱荷兰02⚡️IEPL, type: trojan, server: nodes-nl-02.cdnmd.com, port: 30599, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇨🇦加拿大01⚡️IEPL, type: trojan, server: nodes-ca-01.cdnmd.com, port: 29386, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇨🇦加拿大02⚡️IEPL, type: trojan, server: nodes-ca-02.cdnmd.com, port: 27070, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇮🇹意大利01⚡️IEPL, type: trojan, server: nodes-it-01.cdnmd.com, port: 35380, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇮🇹意大利02⚡️IEPL, type: trojan, server: nodes-it-02.cdnmd.com, port: 30989, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇦🇺澳大利亚01⚡️IEPL, type: trojan, server: nodes-au-01.cdnmd.com, port: 22822, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
    - { name: 🇦🇺澳大利亚02⚡️IEPL, type: trojan, server: nodes-au-02.cdnmd.com, port: 31930, password: 7e29c80f-b7e7-4340-8a17-4b70ce164dc2, udp: true, sni: cdn.alibaba.com, skip-cert-verify: true }
proxy-groups:
    - { name: 樱花云☁️, type: select, proxies: [自动选择, 🇭🇰香港01⚡️IEPL, 🇭🇰香港02⚡️IEPL, 🇭🇰香港03⚡️IEPL, 🇭🇰香港04⚡️IEPL, 🇭🇰香港05⚡️IEPL, 🇭🇰香港06⚡️IEPL, 🇭🇰香港07⚡️IEPL, 🇭🇰香港08⚡️IEPL, 🇯🇵日本01⚡️IEPL, 🇯🇵日本02⚡️IEPL, 🇯🇵日本03⚡️IEPL, 🇯🇵日本04⚡️IEPL, 🇯🇵日本05⚡️IEPL, 🇯🇵日本06⚡️IEPL, 🇯🇵日本07⚡️IEPL, 🇯🇵日本08⚡️IEPL, 🇸🇬狮城01⚡️IEPL, 🇸🇬狮城02⚡️IEPL, 🇸🇬狮城03⚡️IEPL, 🇸🇬狮城04⚡️IEPL, 🇸🇬狮城05⚡️IEPL, 🇸🇬狮城06⚡️IEPL, 🇸🇬狮城07⚡️IEPL, 🇸🇬狮城08⚡️IEPL, 🇹🇼台湾01⚡️IEPL, 🇹🇼台湾02⚡️IEPL, 🇹🇼台湾03⚡️IEPL, 🇹🇼台湾04⚡️IEPL, 🇰🇷韩国01⚡️IEPL, 🇰🇷韩国02⚡️IEPL, 🇰🇷韩国03⚡️IEPL, 🇰🇷韩国04⚡️IEPL, 🇺🇸美国01⚡️IEPL, 🇺🇸美国02⚡️IEPL, 🇺🇸美国03⚡️IEPL, 🇺🇸美国04⚡️IEPL, 🇺🇸美国05⚡️IEPL, 🇺🇸美国06⚡️IEPL, 🇺🇸美国07⚡️IEPL, 🇺🇸美国08⚡️IEPL, 🇮🇳印度01⚡️IEPL, 🇮🇳印度02⚡️IEPL, 🇬🇧英国01⚡️IEPL, 🇬🇧英国02⚡️IEPL, 🇩🇪德国01⚡️IEPL, 🇩🇪德国02⚡️IEPL, 🇫🇷法国01⚡️IEPL, 🇫🇷法国02⚡️IEPL, 🇳🇱荷兰01⚡️IEPL, 🇳🇱荷兰02⚡️IEPL, 🇨🇦加拿大01⚡️IEPL, 🇨🇦加拿大02⚡️IEPL, 🇮🇹意大利01⚡️IEPL, 🇮🇹意大利02⚡️IEPL, 🇦🇺澳大利亚01⚡️IEPL, 🇦🇺澳大利亚02⚡️IEPL] }
    - { name: 自动选择, type: url-test, proxies: [🇭🇰香港01⚡️IEPL, 🇭🇰香港02⚡️IEPL, 🇭🇰香港03⚡️IEPL, 🇭🇰香港04⚡️IEPL, 🇭🇰香港05⚡️IEPL, 🇭🇰香港06⚡️IEPL, 🇭🇰香港07⚡️IEPL, 🇭🇰香港08⚡️IEPL, 🇯🇵日本01⚡️IEPL, 🇯🇵日本02⚡️IEPL, 🇯🇵日本03⚡️IEPL, 🇯🇵日本04⚡️IEPL, 🇯🇵日本05⚡️IEPL, 🇯🇵日本06⚡️IEPL, 🇯🇵日本07⚡️IEPL, 🇯🇵日本08⚡️IEPL, 🇸🇬狮城01⚡️IEPL, 🇸🇬狮城02⚡️IEPL, 🇸🇬狮城03⚡️IEPL, 🇸🇬狮城04⚡️IEPL, 🇸🇬狮城05⚡️IEPL, 🇸🇬狮城06⚡️IEPL, 🇸🇬狮城07⚡️IEPL, 🇸🇬狮城08⚡️IEPL, 🇹🇼台湾01⚡️IEPL, 🇹🇼台湾02⚡️IEPL, 🇹🇼台湾03⚡️IEPL, 🇹🇼台湾04⚡️IEPL, 🇰🇷韩国01⚡️IEPL, 🇰🇷韩国02⚡️IEPL, 🇰🇷韩国03⚡️IEPL, 🇰🇷韩国04⚡️IEPL, 🇺🇸美国01⚡️IEPL, 🇺🇸美国02⚡️IEPL, 🇺🇸美国03⚡️IEPL, 🇺🇸美国04⚡️IEPL, 🇺🇸美国05⚡️IEPL, 🇺🇸美国06⚡️IEPL, 🇺🇸美国07⚡️IEPL, 🇺🇸美国08⚡️IEPL], url: 'http://cp.cloudflare.com/generate_204', interval: 86400 }
rule-providers:
    direct: { type: http, behavior: domain, url: 'https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt', path: ./ruleset/direct.yaml, interval: 604800 }
    icloud: { type: http, behavior: domain, url: 'https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/icloud.txt', path: ./ruleset/icloud.yaml, interval: 86400 }
    apple: { type: http, behavior: domain, url: 'https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/apple.txt', path: ./ruleset/apple.yaml, interval: 86400 }
    google: { type: http, behavior: domain, url: 'https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/google.txt', path: ./ruleset/google.yaml, interval: 86400 }
    proxy: { type: http, behavior: domain, url: 'https://fastly.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/proxy.txt', path: ./ruleset/proxy.yaml, interval: 86400 }
    telegramcidr: { type: http, behavior: ipcidr, url: 'https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt', path: ./ruleset/telegramcidr.yaml, interval: 604800 }
    cncidr: { type: http, behavior: ipcidr, url: 'https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/cncidr.txt', path: ./ruleset/cncidr.yaml, interval: 604800 }
    lancidr: { type: http, behavior: ipcidr, url: 'https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/lancidr.txt', path: ./ruleset/lancidr.yaml }
rules:
    - 'DOMAIN-SUFFIX,oaiusercontent.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,copilot.microsoft.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,chatgpt.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,crisp.chat,DIRECT'
    - 'DOMAIN-KEYWORD,dns,樱花云☁️'
    - 'DOMAIN-KEYWORD,leak,樱花云☁️'
    - 'DOMAIN-KEYWORD,ip,樱花云☁️'
    - 'DOMAIN-KEYWORD,astrill,樱花云☁️'
    - 'DOMAIN-KEYWORD,who,樱花云☁️'
    - 'DOMAIN-KEYWORD,vpn,樱花云☁️'
    - 'IP-CIDR,1.1.1.1/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,8.8.8.8/32,樱花云☁️,no-resolve'
    - 'DOMAIN-SUFFIX,services.googleapis.cn,樱花云☁️'
    - 'DOMAIN-SUFFIX,xn--ngstr-lra8j.com,樱花云☁️'
    - 'DOMAIN,safebrowsing.urlsec.qq.com,DIRECT'
    - 'DOMAIN,safebrowsing.googleapis.com,DIRECT'
    - 'DOMAIN,developer.apple.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,digicert.com,樱花云☁️'
    - 'DOMAIN,ocsp.apple.com,樱花云☁️'
    - 'DOMAIN,ocsp.comodoca.com,樱花云☁️'
    - 'DOMAIN,ocsp.usertrust.com,樱花云☁️'
    - 'DOMAIN,ocsp.sectigo.com,樱花云☁️'
    - 'DOMAIN,ocsp.verisign.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,apple-dns.net,樱花云☁️'
    - 'DOMAIN,testflight.apple.com,樱花云☁️'
    - 'DOMAIN,sandbox.itunes.apple.com,樱花云☁️'
    - 'DOMAIN,itunes.apple.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,apps.apple.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,blobstore.apple.com,樱花云☁️'
    - 'DOMAIN,cvws.icloud-content.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,mzstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,itunes.apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud-content.com,DIRECT'
    - 'DOMAIN-SUFFIX,me.com,DIRECT'
    - 'DOMAIN-SUFFIX,aaplimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn20.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn-apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,akadns.net,DIRECT'
    - 'DOMAIN-SUFFIX,akamaiedge.net,DIRECT'
    - 'DOMAIN-SUFFIX,edgekey.net,DIRECT'
    - 'DOMAIN-SUFFIX,mwcloudcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,mwcname.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-cloudkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-mapkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.net,DIRECT'
    - 'DOMAIN-SUFFIX,127.net,DIRECT'
    - 'DOMAIN-SUFFIX,163.com,DIRECT'
    - 'DOMAIN-SUFFIX,360buyimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,36kr.com,DIRECT'
    - 'DOMAIN-SUFFIX,acfun.tv,DIRECT'
    - 'DOMAIN-SUFFIX,air-matters.com,DIRECT'
    - 'DOMAIN-SUFFIX,aixifan.com,DIRECT'
    - 'DOMAIN-KEYWORD,alicdn,DIRECT'
    - 'DOMAIN-KEYWORD,alipay,DIRECT'
    - 'DOMAIN-KEYWORD,taobao,DIRECT'
    - 'DOMAIN-SUFFIX,amap.com,DIRECT'
    - 'DOMAIN-SUFFIX,autonavi.com,DIRECT'
    - 'DOMAIN-KEYWORD,baidu,DIRECT'
    - 'DOMAIN-SUFFIX,bdimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,bdstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilibili.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilivideo.com,DIRECT'
    - 'DOMAIN-SUFFIX,caiyunapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,clouddn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbeta.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbetacdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cootekservice.com,DIRECT'
    - 'DOMAIN-SUFFIX,csdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,ctrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,dgtle.com,DIRECT'
    - 'DOMAIN-SUFFIX,dianping.com,DIRECT'
    - 'DOMAIN-SUFFIX,douban.com,DIRECT'
    - 'DOMAIN-SUFFIX,doubanio.com,DIRECT'
    - 'DOMAIN-SUFFIX,duokan.com,DIRECT'
    - 'DOMAIN-SUFFIX,easou.com,DIRECT'
    - 'DOMAIN-SUFFIX,ele.me,DIRECT'
    - 'DOMAIN-SUFFIX,feng.com,DIRECT'
    - 'DOMAIN-SUFFIX,fir.im,DIRECT'
    - 'DOMAIN-SUFFIX,frdic.com,DIRECT'
    - 'DOMAIN-SUFFIX,g-cores.com,DIRECT'
    - 'DOMAIN-SUFFIX,godic.net,DIRECT'
    - 'DOMAIN-SUFFIX,gtimg.com,DIRECT'
    - 'DOMAIN,cdn.hockeyapp.net,DIRECT'
    - 'DOMAIN-SUFFIX,hongxiu.com,DIRECT'
    - 'DOMAIN-SUFFIX,hxcdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,iciba.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifeng.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifengimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,ipip.net,DIRECT'
    - 'DOMAIN-SUFFIX,iqiyi.com,DIRECT'
    - 'DOMAIN-SUFFIX,jd.com,DIRECT'
    - 'DOMAIN-SUFFIX,jianshu.com,DIRECT'
    - 'DOMAIN-SUFFIX,knewone.com,DIRECT'
    - 'DOMAIN-SUFFIX,le.com,DIRECT'
    - 'DOMAIN-SUFFIX,lecloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,lemicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,licdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,luoo.net,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.com,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.net,DIRECT'
    - 'DOMAIN-SUFFIX,mi.com,DIRECT'
    - 'DOMAIN-SUFFIX,miaopai.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoft.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoftonline.com,DIRECT'
    - 'DOMAIN-SUFFIX,miui.com,DIRECT'
    - 'DOMAIN-SUFFIX,miwifi.com,DIRECT'
    - 'DOMAIN-SUFFIX,mob.com,DIRECT'
    - 'DOMAIN-SUFFIX,netease.com,DIRECT'
    - 'DOMAIN-SUFFIX,office.com,DIRECT'
    - 'DOMAIN-SUFFIX,office365.com,DIRECT'
    - 'DOMAIN-KEYWORD,officecdn,DIRECT'
    - 'DOMAIN-SUFFIX,oschina.net,DIRECT'
    - 'DOMAIN-SUFFIX,ppsimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,pstatp.com,DIRECT'
    - 'DOMAIN-SUFFIX,qcloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdaily.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdmm.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhres.com,DIRECT'
    - 'DOMAIN-SUFFIX,qidian.com,DIRECT'
    - 'DOMAIN-SUFFIX,qihucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniu.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiyipic.com,DIRECT'
    - 'DOMAIN-SUFFIX,qq.com,DIRECT'
    - 'DOMAIN-SUFFIX,qqurl.com,DIRECT'
    - 'DOMAIN-SUFFIX,rarbg.to,DIRECT'
    - 'DOMAIN-SUFFIX,ruguoapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,segmentfault.com,DIRECT'
    - 'DOMAIN-SUFFIX,sinaapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,smzdm.com,DIRECT'
    - 'DOMAIN-SUFFIX,snapdrop.net,DIRECT'
    - 'DOMAIN-SUFFIX,sogou.com,DIRECT'
    - 'DOMAIN-SUFFIX,sogoucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,sohu.com,DIRECT'
    - 'DOMAIN-SUFFIX,soku.com,DIRECT'
    - 'DOMAIN-SUFFIX,speedtest.net,DIRECT'
    - 'DOMAIN-SUFFIX,sspai.com,DIRECT'
    - 'DOMAIN-SUFFIX,suning.com,DIRECT'
    - 'DOMAIN-SUFFIX,taobao.com,DIRECT'
    - 'DOMAIN-SUFFIX,tencent.com,DIRECT'
    - 'DOMAIN-SUFFIX,tenpay.com,DIRECT'
    - 'DOMAIN-SUFFIX,tianyancha.com,DIRECT'
    - 'DOMAIN-SUFFIX,tmall.com,DIRECT'
    - 'DOMAIN-SUFFIX,tudou.com,DIRECT'
    - 'DOMAIN-SUFFIX,umetrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,upaiyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,upyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,veryzhun.com,DIRECT'
    - 'DOMAIN-SUFFIX,weather.com,DIRECT'
    - 'DOMAIN-SUFFIX,weibo.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.net,DIRECT'
    - 'DOMAIN-SUFFIX,xiaomicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,ximalaya.com,DIRECT'
    - 'DOMAIN-SUFFIX,xmcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,xunlei.com,DIRECT'
    - 'DOMAIN-SUFFIX,yhd.com,DIRECT'
    - 'DOMAIN-SUFFIX,yihaodianimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,yinxiang.com,DIRECT'
    - 'DOMAIN-SUFFIX,ykimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,youdao.com,DIRECT'
    - 'DOMAIN-SUFFIX,youku.com,DIRECT'
    - 'DOMAIN-SUFFIX,zealer.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhihu.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,zimuzu.tv,DIRECT'
    - 'DOMAIN-SUFFIX,zoho.com,DIRECT'
    - 'DOMAIN-KEYWORD,amazon,樱花云☁️'
    - 'DOMAIN-KEYWORD,google,樱花云☁️'
    - 'DOMAIN-KEYWORD,gmail,樱花云☁️'
    - 'DOMAIN-KEYWORD,youtube,樱花云☁️'
    - 'DOMAIN-KEYWORD,facebook,樱花云☁️'
    - 'DOMAIN-SUFFIX,fb.me,樱花云☁️'
    - 'DOMAIN-SUFFIX,fbcdn.net,樱花云☁️'
    - 'DOMAIN-KEYWORD,twitter,樱花云☁️'
    - 'DOMAIN-KEYWORD,instagram,樱花云☁️'
    - 'DOMAIN-KEYWORD,dropbox,樱花云☁️'
    - 'DOMAIN-SUFFIX,twimg.com,樱花云☁️'
    - 'DOMAIN-KEYWORD,blogspot,樱花云☁️'
    - 'DOMAIN-SUFFIX,youtu.be,樱花云☁️'
    - 'DOMAIN-KEYWORD,whatsapp,樱花云☁️'
    - 'DOMAIN-KEYWORD,admarvel,REJECT'
    - 'DOMAIN-KEYWORD,admaster,REJECT'
    - 'DOMAIN-KEYWORD,adsage,REJECT'
    - 'DOMAIN-KEYWORD,adsmogo,REJECT'
    - 'DOMAIN-KEYWORD,adsrvmedia,REJECT'
    - 'DOMAIN-KEYWORD,adwords,REJECT'
    - 'DOMAIN-KEYWORD,adservice,REJECT'
    - 'DOMAIN-SUFFIX,appsflyer.com,REJECT'
    - 'DOMAIN-KEYWORD,domob,REJECT'
    - 'DOMAIN-SUFFIX,doubleclick.net,REJECT'
    - 'DOMAIN-KEYWORD,duomeng,REJECT'
    - 'DOMAIN-KEYWORD,dwtrack,REJECT'
    - 'DOMAIN-KEYWORD,guanggao,REJECT'
    - 'DOMAIN-KEYWORD,lianmeng,REJECT'
    - 'DOMAIN-SUFFIX,mmstat.com,REJECT'
    - 'DOMAIN-KEYWORD,mopub,REJECT'
    - 'DOMAIN-KEYWORD,omgmta,REJECT'
    - 'DOMAIN-KEYWORD,openx,REJECT'
    - 'DOMAIN-KEYWORD,partnerad,REJECT'
    - 'DOMAIN-KEYWORD,pingfore,REJECT'
    - 'DOMAIN-KEYWORD,supersonicads,REJECT'
    - 'DOMAIN-KEYWORD,uedas,REJECT'
    - 'DOMAIN-KEYWORD,umeng,REJECT'
    - 'DOMAIN-KEYWORD,usage,REJECT'
    - 'DOMAIN-SUFFIX,vungle.com,REJECT'
    - 'DOMAIN-KEYWORD,wlmonitor,REJECT'
    - 'DOMAIN-KEYWORD,zjtoolbar,REJECT'
    - 'DOMAIN-SUFFIX,9to5mac.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,abpchina.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,adblockplus.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,adobe.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,akamaized.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,alfredapp.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,amplitude.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ampproject.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,android.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,angularjs.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,aolcdn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,apkpure.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,appledaily.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,appshopper.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,appspot.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,arcgis.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,archive.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,armorgames.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,aspnetcdn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,att.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,awsstatic.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,azureedge.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,azurewebsites.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,bing.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,bintray.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,bit.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,bit.ly,樱花云☁️'
    - 'DOMAIN-SUFFIX,bitbucket.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,bjango.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,bkrtx.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,blog.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,blogcdn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,blogger.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,blogsmithmedia.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,blogspot.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,blogspot.hk,樱花云☁️'
    - 'DOMAIN-SUFFIX,bloomberg.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,box.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,box.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,cachefly.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,chromium.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,cl.ly,樱花云☁️'
    - 'DOMAIN-SUFFIX,cloudflare.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,cloudfront.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,cloudmagic.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,cmail19.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,cnet.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,cocoapods.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,comodoca.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,crashlytics.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,culturedcode.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,d.pr,樱花云☁️'
    - 'DOMAIN-SUFFIX,danilo.to,樱花云☁️'
    - 'DOMAIN-SUFFIX,dayone.me,樱花云☁️'
    - 'DOMAIN-SUFFIX,db.tt,樱花云☁️'
    - 'DOMAIN-SUFFIX,deskconnect.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,disq.us,樱花云☁️'
    - 'DOMAIN-SUFFIX,disqus.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,disquscdn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,dnsimple.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,docker.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,dribbble.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,droplr.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,duckduckgo.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,dueapp.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,dytt8.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,edgecastcdn.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,edgekey.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,edgesuite.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,engadget.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,entrust.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,eurekavpt.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,evernote.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,fabric.io,樱花云☁️'
    - 'DOMAIN-SUFFIX,fast.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,fastly.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,fc2.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,feedburner.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,feedly.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,feedsportal.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,fiftythree.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,firebaseio.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,flexibits.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,flickr.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,flipboard.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,g.co,樱花云☁️'
    - 'DOMAIN-SUFFIX,gabia.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,geni.us,樱花云☁️'
    - 'DOMAIN-SUFFIX,gfx.ms,樱花云☁️'
    - 'DOMAIN-SUFFIX,ggpht.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ghostnoteapp.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,git.io,樱花云☁️'
    - 'DOMAIN-KEYWORD,github,樱花云☁️'
    - 'DOMAIN-SUFFIX,globalsign.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,gmodules.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,godaddy.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,golang.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,gongm.in,樱花云☁️'
    - 'DOMAIN-SUFFIX,goo.gl,樱花云☁️'
    - 'DOMAIN-SUFFIX,goodreaders.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,goodreads.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,gravatar.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,gstatic.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,gvt0.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,hockeyapp.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,hotmail.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,icons8.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ifixit.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ift.tt,樱花云☁️'
    - 'DOMAIN-SUFFIX,ifttt.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,iherb.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,imageshack.us,樱花云☁️'
    - 'DOMAIN-SUFFIX,img.ly,樱花云☁️'
    - 'DOMAIN-SUFFIX,imgur.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,imore.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,instapaper.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ipn.li,樱花云☁️'
    - 'DOMAIN-SUFFIX,is.gd,樱花云☁️'
    - 'DOMAIN-SUFFIX,issuu.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,itgonglun.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,itun.es,樱花云☁️'
    - 'DOMAIN-SUFFIX,ixquick.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,j.mp,樱花云☁️'
    - 'DOMAIN-SUFFIX,js.revsci.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,jshint.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,jtvnw.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,justgetflux.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,kat.cr,樱花云☁️'
    - 'DOMAIN-SUFFIX,klip.me,樱花云☁️'
    - 'DOMAIN-SUFFIX,libsyn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,linkedin.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,line-apps.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,linode.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,lithium.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,littlehj.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,live.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,live.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,livefilestore.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,llnwd.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,macid.co,樱花云☁️'
    - 'DOMAIN-SUFFIX,macromedia.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,macrumors.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,mashable.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,mathjax.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,medium.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,mega.co.nz,樱花云☁️'
    - 'DOMAIN-SUFFIX,mega.nz,樱花云☁️'
    - 'DOMAIN-SUFFIX,megaupload.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,microsofttranslator.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,mindnode.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,mobile01.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,modmyi.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,msedge.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,myfontastic.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,name.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,nextmedia.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,nsstatic.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,nssurge.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,nyt.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,nytimes.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,omnigroup.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,onedrive.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,onenote.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ooyala.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,openvpn.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,openwrt.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,orkut.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,osxdaily.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,outlook.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ow.ly,樱花云☁️'
    - 'DOMAIN-SUFFIX,paddleapi.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,parallels.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,parse.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,pdfexpert.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,periscope.tv,樱花云☁️'
    - 'DOMAIN-SUFFIX,pinboard.in,樱花云☁️'
    - 'DOMAIN-SUFFIX,pinterest.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,pixelmator.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,pixiv.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,playpcesor.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,playstation.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,playstation.com.hk,樱花云☁️'
    - 'DOMAIN-SUFFIX,playstation.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,playstationnetwork.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,pushwoosh.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,rime.im,樱花云☁️'
    - 'DOMAIN-SUFFIX,servebom.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,sfx.ms,樱花云☁️'
    - 'DOMAIN-SUFFIX,shadowsocks.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,sharethis.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,shazam.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,skype.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,smartdns樱花云☁️.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,smartmailcloud.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,sndcdn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,sony.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,soundcloud.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,sourceforge.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,spotify.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,squarespace.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,sstatic.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,st.luluku.pw,樱花云☁️'
    - 'DOMAIN-SUFFIX,stackoverflow.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,startpage.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,staticflickr.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,steamcommunity.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,symauth.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,symcb.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,symcd.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,tapbots.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,tapbots.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,tdesktop.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,techcrunch.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,techsmith.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,thepiratebay.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,theverge.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,time.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,timeinc.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,tiny.cc,樱花云☁️'
    - 'DOMAIN-SUFFIX,tinypic.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,tmblr.co,樱花云☁️'
    - 'DOMAIN-SUFFIX,todoist.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,trello.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,trustasiassl.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,tumblr.co,樱花云☁️'
    - 'DOMAIN-SUFFIX,tumblr.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,tweetdeck.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,tweetmarker.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,twitch.tv,樱花云☁️'
    - 'DOMAIN-SUFFIX,txmblr.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,typekit.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,ubertags.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ublock.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,ubnt.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ulyssesapp.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,urchin.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,usertrust.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,v.gd,樱花云☁️'
    - 'DOMAIN-SUFFIX,v2ex.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,vimeo.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,vimeocdn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,vine.co,樱花云☁️'
    - 'DOMAIN-SUFFIX,vivaldi.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,vox-cdn.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,vsco.co,樱花云☁️'
    - 'DOMAIN-SUFFIX,vultr.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,w.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,w3schools.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,webtype.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,wikiwand.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,wikileaks.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,wikimedia.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,wikipedia.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,wikipedia.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,windows.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,windows.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,wire.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,wordpress.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,workflowy.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,wp.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,wsj.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,wsj.net,樱花云☁️'
    - 'DOMAIN-SUFFIX,xda-developers.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,xeeno.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,xiti.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,yahoo.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,yimg.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,ying.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,yoyo.org,樱花云☁️'
    - 'DOMAIN-SUFFIX,ytimg.com,樱花云☁️'
    - 'DOMAIN-SUFFIX,telegra.ph,樱花云☁️'
    - 'DOMAIN-SUFFIX,telegram.org,樱花云☁️'
    - 'IP-CIDR,91.108.4.0/22,樱花云☁️,no-resolve'
    - 'IP-CIDR,91.108.8.0/21,樱花云☁️,no-resolve'
    - 'IP-CIDR,91.108.16.0/22,樱花云☁️,no-resolve'
    - 'IP-CIDR,91.108.56.0/22,樱花云☁️,no-resolve'
    - 'IP-CIDR,149.154.160.0/20,樱花云☁️,no-resolve'
    - 'IP-CIDR6,2001:67c:4e8::/48,樱花云☁️,no-resolve'
    - 'IP-CIDR6,2001:b28:f23d::/48,樱花云☁️,no-resolve'
    - 'IP-CIDR6,2001:b28:f23f::/48,樱花云☁️,no-resolve'
    - 'IP-CIDR,120.232.181.162/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,120.241.147.226/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,120.253.253.226/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,120.253.255.162/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,120.253.255.34/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,120.253.255.98/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,180.163.150.162/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,180.163.150.34/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,180.163.151.162/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,180.163.151.34/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,203.208.39.0/24,樱花云☁️,no-resolve'
    - 'IP-CIDR,203.208.40.0/24,樱花云☁️,no-resolve'
    - 'IP-CIDR,203.208.41.0/24,樱花云☁️,no-resolve'
    - 'IP-CIDR,203.208.43.0/24,樱花云☁️,no-resolve'
    - 'IP-CIDR,203.208.50.0/24,樱花云☁️,no-resolve'
    - 'IP-CIDR,220.181.174.162/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,220.181.174.226/32,樱花云☁️,no-resolve'
    - 'IP-CIDR,220.181.174.34/32,樱花云☁️,no-resolve'
    - 'DOMAIN,injections.adguard.org,DIRECT'
    - 'DOMAIN,local.adguard.org,DIRECT'
    - 'DOMAIN-SUFFIX,local,DIRECT'
    - 'IP-CIDR,127.0.0.0/8,DIRECT'
    - 'IP-CIDR,172.16.0.0/12,DIRECT'
    - 'IP-CIDR,192.168.0.0/16,DIRECT'
    - 'IP-CIDR,10.0.0.0/8,DIRECT'
    - 'IP-CIDR,17.0.0.0/8,DIRECT'
    - 'IP-CIDR,100.64.0.0/10,DIRECT'
    - 'IP-CIDR,224.0.0.0/4,DIRECT'
    - 'IP-CIDR6,fe80::/10,DIRECT'
    - 'RULE-SET,direct,DIRECT'
    - 'RULE-SET,icloud,DIRECT'
    - 'RULE-SET,google,樱花云☁️'
    - 'RULE-SET,proxy,樱花云☁️'
    - 'RULE-SET,telegramcidr,樱花云☁️'
    - 'RULE-SET,lancidr,DIRECT'
    - 'RULE-SET,cncidr,DIRECT'
    - 'RULE-SET,apple,DIRECT'
    - 'DOMAIN-SUFFIX,cn,DIRECT'
    - 'DOMAIN-KEYWORD,-cn,DIRECT'
    - 'GEOIP,CN,DIRECT'
    - 'MATCH,樱花云☁️'
